#include "k_inc_generic"

void main() {
    // ST: Char is not in follow mode. Just do combat round as usual.
    if (!GetLocalBoolean(OBJECT_SELF, 60)) {
        ExecuteScript("k_ai_master", OBJECT_SELF, 1003);        
    }
    else {
        // ST: Char is in combat mode, only fight if the player is fighting,
        //     we aren't in a dialog/cutscene, I'm commandable, there is an
        //     enemy nearby and we aren't already moving.
        object oPC = GetFirstPC();
        if (!GN_GetSpawnInCondition(SW_FLAG_AI_OFF)
            && GetIsInCombat(oPC, TRUE)
            && (GetCurrentAction(OBJECT_SELF) != ACTION_MOVETOPOINT)
            && GetIsObjectValid(GetNearestCreature( CREATURE_TYPE_PERCEPTION, PERCEPTION_SEEN, oPC, 1, CREATURE_TYPE_REPUTATION, REPUTATION_TYPE_ENEMY, CREATURE_TYPE_IS_ALIVE, TRUE)))
        {   
            ExecuteScript("k_ai_master", OBJECT_SELF, 1003);
        }
        else if ((GetCurrentAction(OBJECT_SELF) != ACTION_MOVETOPOINT) && GetIsInCombat(OBJECT_SELF)) {
            CancelCombat(OBJECT_SELF);
            ClearAllActions();  
        }
    }
}